<?php

/**
* @package plugin LogBadPasswords
* @copyright (C) 2010-2011 RicheyWeb - www.richeyweb.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* LogBadPasswords Copyright (c) 2011 Michael Richey.
* LogBadPasswords is licensed under the http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
*
* LogBadPasswords version 1.2 for Joomla 1.6.x devloped by RicheyWeb
*
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * LogBadPasswords system plugin
 */
class plgSystemLogBadPasswords extends JPlugin
{
	/**
	 * Constructor
	 *
	 * @access	protected
	 * @param	object	$subject The object to observe
	 * @param 	array   $config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemLogBadPasswords( &$subject, $config )
	{
		parent::__construct( $subject, $config );
	}
	function onUserLoginFailure($response)
	{
            $app = JFactory::getApplication();
            if($app->isAdmin()) {
                if($this->params->get('runinadmin',false)) return true;
            }else {
                if($this->params->get('runinsite',false)) return true;
            }
            $badpasswords = $app->getUserState('plg_logbadpasswords', array());
            $badpasswords[]=$response['password'];
            $app->setUserState('plg_logbadpasswords',array_unique($badpasswords));
            return true;
        }
}